Bug 87808 - UI: Missing tooltips in the Seek and Volume controllers of the Media Playback toolbar
Summary: UI: Missing tooltips in the Seek and Volume controllers of the Media Playback...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.4.0.0.beta1
Hardware: All All
: medium enhancement
Assignee: Gabor Kelemen
URL:
Whiteboard: target:6.0.0
Keywords: needsDevEval, topicUI
Depends on:
Blocks: ImpressDraw-Toolbars Media-Playback Toolbars-Tooltips
  Show dependency treegraph
 
Reported: 2014-12-28 22:07 UTC by A (Andy)
Modified: 2017-10-20 07:32 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description A (Andy) 2014-12-28 22:07:39 UTC
There are no tooltips available for the Wind Forwards and Volume controllers of the Media Playback toolbar.

Steps to Reproduce:
1. Open IMPRESS
2. Go to INSERT -> MOVIE AND SOUND and insert a sound or video file
3. (Optional if you had never activated the Media Playback in the past) Go to VIEW -> TOOLBARS -> Select the MEDIA PLAYBACK toolbar 
4. Click on the media file
5. Move the mouse cursor over the Wind Forwards and Volume controllers of the Media Playback toolbar

Result: There are no tooltips available.

Reproducible with LO 4.3.4.1 and 4.4.0.0.beta1 (Win 8.1).
Comment 1 Yousuf Philips (jay) (retired) 2014-12-29 00:56:41 UTC
Confirmed on Linux.

Version: 4.5.0.0.alpha0+
Build ID: e570cd7a293ceee175949dcc9656cdf776ae3c37
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2014-12-12_18:49:54
Comment 2 bordfeldt 2017-01-07 09:26:49 UTC
For me the same on Windows 10 Pro with LO 5.2.4.2 32 bit.
Comment 3 Yousuf Philips (jay) (retired) 2017-06-09 00:18:05 UTC
So the entire playback control is stored in the .uno:AVMediaToolBox UNO command which means that this will require dev work to fix.

Not as crucial as it used to be as the media playback content panel is now in the sidebar and the toolbar is off by default.
Comment 4 Commit Notification 2017-10-20 06:22:52 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2161abff3510dd591db30d94911241436c90c4d4

tdf#87808 Add missing tooltips to Media Playback toolbar

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.